<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JPSOAP_HotelRatePlanBoardUpgradeOffer StructType
 * @subpackage Structs
 */
class JPSOAP_HotelRatePlanBoardUpgradeOffer extends AbstractStructBase
{
    /**
     * The BoardCodePay
     * Meta informations extracted from the WSDL
     * - use: required
     * @var int
     */
    public $BoardCodePay;
    /**
     * The BoardCodeGet
     * Meta informations extracted from the WSDL
     * - use: required
     * @var int
     */
    public $BoardCodeGet;
    /**
     * Constructor method for JPSOAP_HotelRatePlanBoardUpgradeOffer
     * @uses JPSOAP_HotelRatePlanBoardUpgradeOffer::setBoardCodePay()
     * @uses JPSOAP_HotelRatePlanBoardUpgradeOffer::setBoardCodeGet()
     * @param int $boardCodePay
     * @param int $boardCodeGet
     */
    public function __construct($boardCodePay = null, $boardCodeGet = null)
    {
        $this
            ->setBoardCodePay($boardCodePay)
            ->setBoardCodeGet($boardCodeGet);
    }
    /**
     * Get BoardCodePay value
     * @return int
     */
    public function getBoardCodePay()
    {
        return $this->BoardCodePay;
    }
    /**
     * Set BoardCodePay value
     * @param int $boardCodePay
     * @return \StructType\JPSOAP_HotelRatePlanBoardUpgradeOffer
     */
    public function setBoardCodePay($boardCodePay = null)
    {
        // validation for constraint: int
        if (!is_null($boardCodePay) && !(is_int($boardCodePay) || ctype_digit($boardCodePay))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($boardCodePay, true), gettype($boardCodePay)), __LINE__);
        }
        $this->BoardCodePay = $boardCodePay;
        return $this;
    }
    /**
     * Get BoardCodeGet value
     * @return int
     */
    public function getBoardCodeGet()
    {
        return $this->BoardCodeGet;
    }
    /**
     * Set BoardCodeGet value
     * @param int $boardCodeGet
     * @return \StructType\JPSOAP_HotelRatePlanBoardUpgradeOffer
     */
    public function setBoardCodeGet($boardCodeGet = null)
    {
        // validation for constraint: int
        if (!is_null($boardCodeGet) && !(is_int($boardCodeGet) || ctype_digit($boardCodeGet))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($boardCodeGet, true), gettype($boardCodeGet)), __LINE__);
        }
        $this->BoardCodeGet = $boardCodeGet;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JPSOAP_HotelRatePlanBoardUpgradeOffer
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
